Skip to main content
POST
/
v1
/
transactional-groups
Create a transactional group
curl --request POST \
  --url https://app.loops.so/api/v1/transactional-groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "id": "tgrp_01hxyz",
  "name": "Account emails",
  "description": "Password resets and verification emails",
  "createdAt": "2026-03-28T15:00:00.000Z",
  "updatedAt": "2026-03-28T15:00:00.000Z"
}

Request

Body

name
string
required
The group name. Cannot be the reserved name "Unsorted".
description
string
An optional description for the group.

Response

Success

id
string
required
The transactional group ID.
name
string
required
The group name.
description
string
required
The group description.
createdAt
string
required
ISO 8601 timestamp for when the group was created.
updatedAt
string
required
ISO 8601 timestamp for when the group was last updated.

Error

If the request body is invalid, or if the group name is reserved, a 400 Bad Request is returned. If the API key is invalid (or content API is not enabled for your team), a 401 Unauthorized is returned.
message
string
required
An error message describing what went wrong.
{
  "id": "tgrp_01hxyz",
  "name": "Account emails",
  "description": "Password resets and verification emails",
  "createdAt": "2026-03-28T15:00:00.000Z",
  "updatedAt": "2026-03-28T15:00:00.000Z"
}
Last modified on June 22, 2026